Query Application-Side Data Permissions
Permissions
The identity management API is authorized by application. Before calling the API, you need to set API permissions for different applications. For details, see API Permissions.
| Permission Code | Description |
|---|---|
| app_data_read | Read permission for application-side data permission APIs |
| app_data_all | Read/Write permission for application-side data permission APIs |
| read | Read permission for all APIs |
| all | Read/Write permission for all APIs |
Request
Request Headers
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| Authorization | Authorization | Yes | String | Format: Bearer {access_token} |
| Content-Type | Content Type | Yes | String | Fixed value: application/json; charset=utf-8 |
Request Example
None
Request Parameters
| Parameter Name | Name | Required | Type | Description |
|---|---|---|---|---|
| application_id | Application ID | Yes | String | Max length 50 |
| model_id | Model ID | Yes | String | Max length 50 |
| offset | Page Number | Yes | Int | Starting from page 0 |
| limit | Page Size | Yes | Int | Between 1 and 50 |
Response Example
Success Example
HTTP/1.1 200 OK
json
{
"number": 0,
"total": 4,
"size": 20,
"list": [
{
"id": "20231013153057724-88BB-2815716FE",
"appId": "20231013151104656-CD73-6A3EB9EFB",
"objmId": "20231013151529055-E367-79540B1A1",
"parentId": null,
"code": "sb",
"name": "Data Permission A",
"description": null,
"sequence": null,
"level": 1,
"path": "/20231013153057724-88BB-2815716FE",
"displayPath": "/Data Permission A",
"remoteId": null,
"extension": {}
},
{
"id": "20231013155621587-9230-F17BBAE48",
"appId": "20231013151104656-CD73-6A3EB9EFB",
"objmId": "20231013151529055-E367-79540B1A1",
"parentId": null,
"code": "sf",
"name": "Data Permission B",
"description": null,
"sequence": null,
"level": 1,
"path": "/20231013155621587-9230-F17BBAE48",
"displayPath": "/Data Permission B",
"remoteId": null,
"extension": {}
},
{
"id": "20231013155644373-7051-D88F34453",
"appId": "20231013151104656-CD73-6A3EB9EFB",
"objmId": "20231013151529055-E367-79540B1A1",
"parentId": null,
"code": "tiny",
"name": "Data Permission 3",
"description": null,
"sequence": null,
"level": 1,
"path": "/20231013155644373-7051-D88F34453",
"displayPath": "/Data Permission 3",
"remoteId": null,
"extension": {}
},
{
"id": "20231013155602775-176F-1C4C34336",
"appId": "20231013151104656-CD73-6A3EB9EFB",
"objmId": "20231013151529055-E367-79540B1A1",
"parentId": "20231013153057724-88BB-2815716FE",
"code": "c",
"name": "Child Data Permission AA",
"description": null,
"sequence": null,
"level": 2,
"path": "/20231013153057724-88BB-2815716FE/20231013155602775-176F-1C4C34336",
"displayPath": "/Data Permission A/Child Data Permission AA",
"remoteId": null,
"extension": {}
}
]
}Error Example
HTTP/1.1 400 Bad Request
json
{
"error": "invalid_token",
"error_description": "Invalid access token."
}Response Parameters
| Parameter Name | Name | Type | Description |
|---|---|---|---|
| id | Primary Key | String | |
| appId | Application ID | String | |
| objmId | Object Model ID | String | |
| parentId | Parent ID | String | |
| code | Application Data Permission Code | String | |
| name | Application Data Permission Name | String | |
| description | Description | String | |
| sequence | Sort Sequence | String | |
| level | Level | String | |
| path | ID Path | String | |
| displayPath | Name Path | String | |
| remoteId | Remote Object ID for Data Permission | String | |
| extension | Extension Attributes | String | Not currently available |
Error Codes
| Status Code | Error Code | Chinese Error Message | English Error Message | Resolution |
|---|---|---|---|---|
| 400 | APP.OBJECTMODEL.0011 | 未开启应用数据权限模型 | The application function permissions model is not opened |